* {
  margin: 0;
  padding: 0;
  background-color: #b5d287;
  box-sizing: border-box;
  font-family: Zeyada;
  font-weight: 200;

}

html {
  font-size: 16px;
}

@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 300;
  font-stretch: normal;
  src: url(https://fonts.gstatic.com/s/opensans/v40/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsiH0B4gaVc.ttf) format('truetype');
}

@font-face {
  font-family: 'Pacifico';
  font-style: normal;
  font-weight: 400;
  src: url(https://fonts.gstatic.com/s/pacifico/v22/FwZY7-Qmy14u9lezJ-6H6Mw.ttf) format('truetype');
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

a,
a:visited,
a:hover,
a:active {
  color: inherit;
  text-decoration: none;
}

h1 {
  font-family: 'Pacifico', cursive;
  font-weight: 400;
  font-size: 3em;
  text-align: center;
}

.outer-menu {
  position: fixed;
  top: 25px;
  left: 25px;
  z-index: 1;
}

.outer-menu .checkbox-toggle {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  cursor: pointer;
  width: 60px;
  height: 60px;
  opacity: 0;
}

.outer-menu .checkbox-toggle:checked+.hamburger>div {
  transform: rotate(135deg);
}

.outer-menu .checkbox-toggle:checked+.hamburger>div:before,
.outer-menu .checkbox-toggle:checked+.hamburger>div:after {
  top: 0;
  transform: rotate(90deg);
}

.outer-menu .checkbox-toggle:checked+.hamburger>div:after {
  opacity: 0;
}

.outer-menu .checkbox-toggle:checked~.menu {
  pointer-events: auto;
  visibility: visible;
}

.outer-menu .checkbox-toggle:checked~.menu>div {
  transform: scale(1);
  transition-duration: 0.75s;
}

.outer-menu .checkbox-toggle:checked~.menu>div>div {
  opacity: 1;
  transition: opacity 0.4s ease 0.4s;
}

.outer-menu .checkbox-toggle:hover+.hamburger {
  box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.1);
}

.outer-menu .checkbox-toggle:checked:hover+.hamburger>div {
  transform: rotate(225deg);
}

.outer-menu .hamburger {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 55px;
  height: 55px;
  padding: 0.5em 1em;
  border-radius: 0 0.12em 0.12em 0;
  cursor: pointer;
  transition: box-shadow 0.4s ease;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #515D40;
}

.outer-menu .hamburger>div {
  position: relative;
  flex: none;
  width: 100%;
  height: 2px;
  background: #e5e5e5;
  transition: all 0.4s ease;
  display: flex;
  align-items: center;
  justify-content: center;
}

.outer-menu .hamburger>div:before,
.outer-menu .hamburger>div:after {
  content: '';
  position: absolute;
  z-index: 1;
  top: -10px;
  left: 0;
  width: 100%;
  height: 2px;
  background: inherit;
  transition: all 0.4s ease;
}

.outer-menu .hamburger>div:after {
  top: 10px;
}

.outer-menu .menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  visibility: hidden;
  overflow: hidden;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  outline: 1px solid transparent;
  display: flex;
  align-items: center;
  justify-content: center;
}

.outer-menu .menu>div {
  width: 600px;
  height: 200vw;
  color: rgba(255, 255, 255, 0.95);
  background: #d9edb2;
  border-radius: 50%;
  transition: all 0.4s ease;
  flex: none;
  transform: scale(0);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.outer-menu .menu>div>div {
  text-align: center;
  max-width: 90vw;
  max-height: 100vh;
  opacity: 0;
  transition: opacity 0.4s ease;
  overflow-y: auto;
  flex: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.outer-menu .menu>div>div>ul {
  list-style: none;
  padding: 0 1em;
  margin: 0;
  display: block;
  max-height: 100vh;
}

.outer-menu .menu>div>div>ul>li {
  padding: 0;
  margin: 1em;
  font-size: 24px;
  display: block;
}

.outer-menu .menu>div>div>ul>li>a {
  position: relative;
  display: inline;
  cursor: pointer;
  transition: color 0.4s ease;
}

.outer-menu .menu>div>div>ul>li>a:hover {
  color: #707566;
}

.outer-menu .menu>div>div>ul>li>a:hover:after {
  width: 100%;
}

.outer-menu .menu>div>div>ul>li>a:after {
  content: '';
  position: absolute;
  z-index: 1;
  bottom: -0.15em;
  left: 0;
  width: 0;
  height: 2px;
  background: #e5e5e5;
  transition: width 0.4s ease;
}



/* ここからメイン */
body {
  overflow-x: hidden;
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  overflow-x: hidden;
}

h1 {
  display: block;
  text-align: center;
  width: 20rem;
  margin: 6rem auto;
  border-bottom: 1px solid #4d5047;
  line-height: 50%;
  font-size: 5rem;
  font-family: Zeyada;
  color: #2b2d28;
  transform: skewX(-0.05turn);
  flex-shrink: 0;
}

/* 横スクロール */
.image-slider {
  width: 100%;
  height: 50vh;
  margin: 5rem 2rem;
}

.image-scroll-container {
  height: 40vh;
  display: flex;
  align-items: center;
  background-color: #515D40;
  padding: 2rem 0;
}

.scroll-container {
  display: flex;
  list-style: none;
  animation: infinity-scroll-left 40s infinite linear 0.5s both;
}

@keyframes infinity-scroll-left {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
  }
}

.scroll-item {
  display: flex;
  align-items: center;
  background-color: #e5e5e5;
}

.scroll-item img {
  width: 40vh;
  height: 25vh;
  margin: 1rem;
  object-fit: cover;
  object-position: center;
}

h2 {
  text-align: center;
  font-size: 3rem;
  color: #515D40;
}

.image-seen {
  padding: 0 2rem 1rem 2rem;
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-position: cover;
  max-width: fit-content;
}

.img-2 {
  width: 100%;
  height: auto;
  max-width: 600px;
  object-fit: cover;
  cursor: pointer;
  border-radius: 2px;
  box-shadow: 0 0 2px #44473f;
  opacity: 0.9;
  transition: all 0.3s ease;
}

.img-2:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 20px #00000066;
}

.seen-txt {
  width: 100%;
  margin: 0.5rem 0 5rem 0;
  justify-content: flex-start;
  text-align: left;
  font-size: 1.5rem;
  color: #515D40;
}



/* ここからレスポンシブ */
@media(max-width: 600px) {
  .outer-menu .hamburger {
    width: 40px;
    height: 40px;
    padding: 0.3em 0.6em;
  }

  .outer-menu .hamburger>div,
  .outer-menu .hamburger>div:before,
  .outer-menu .hamburger>div:after {
    height: 1px;
  }

  h1 {
    width: 12rem;
    font-size: 3rem;
  }

  h2 {
    font-size: 2rem;
  }

  .image-seen {
    max-width: 90%;
  }

  .seen-txt {
    font-size: 1rem;
  }
}